Summary: Library providing an API to use the Xen virtualization
Name: libvir
Version: 0.0.2
Release: 1
License: LGPL
Group: Development/Libraries
Source: libvir-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://libvir.org/
BuildRequires: xen python python-devel
Requires: xen
ExclusiveArch: i386 x86_64

%description
This C library provides an API to use the Xen virtualization framework,
and the virsh command line tool to control virtual domains.

%package devel
Summary: Libraries, includes, etc. to compile with the libvir library
Group: Development/Libraries
Requires: libvir = %{version}

%description devel
Includes and documantations for the C library providing an API to use
the Xen virtualization framework

%package python
Summary: Python bindings for the libvir library
Group: Development/Libraries
Requires: libvir = %{version}
Requires: %{_libdir}/python%(echo `python -c "import sys; print sys.version[0:3]"`)

%description python
The libvir-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libvir library to use the Xen virtualization framework.

%prep
%setup -q

%build
%configure
make

%install
rm -fr %{buildroot}

%makeinstall
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/python*/site-packages/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/python*/site-packages/*.a

%clean
rm -fr %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS ChangeLog NEWS README COPYING.LIB TODO
%{_bindir}/virsh
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)

%{_libdir}/lib*.so
%{_includedir}/libvir/*.h
%{_libdir}/pkgconfig/libvir.pc

%doc docs/*.html docs/html docs/*.gif
%doc docs/libvir-api.xml

%files python
%defattr(-, root, root)

%doc AUTHORS NEWS README COPYING.LIB
%{_libdir}/python*/site-packages/libvir.py*
%{_libdir}/python*/site-packages/libvirmod*
%doc python/TODO
%doc python/libvirclass.txt

%changelog
* Sun Jan 29 2006 Daniel Veillard <veillard@redhat.com> 0.0.2-1
- upstream release of 0.0.2, use xend, save and restore added, python bindings
  fixed

* Wed Nov  2 2005 Daniel Veillard <veillard@redhat.com> 0.0.1-1
- created
